Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.errors
[Java] Class SimpleBindingError

    java.lang.Object
      org.grails.databinding.errors.SimpleBindingError

All Implemented Interfaces:
  BindingError

    public class SimpleBindingError
    extends java.lang.Object

Authors:
  Jeff Brown

Since:
  2.3

Constructor Summary
`SimpleBindingError(java.lang.Object object, java.lang.String propertyName, java.lang.Object rejectedValue, java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.Object` | `getObject()`
`java.lang.String` | `getPropertyName()`
`java.lang.Object` | `getRejectedValue()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleBindingError

    public SimpleBindingError(java.lang.Object object, java.lang.String propertyName, java.lang.Object rejectedValue, java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

### getObject

    public java.lang.Object getObject()

### getPropertyName

    public java.lang.String getPropertyName()

### getRejectedValue

    public java.lang.Object getRejectedValue()

Groovy Documentation